activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Utopia (JIRA)" <j...@apache.org>
Subject [jira] Created: (AMQCPP-224) Configure accept wrong versions of apr-util
Date Fri, 27 Feb 2009 14:44:00 GMT
Configure accept wrong versions of apr-util
-------------------------------------------

                 Key: AMQCPP-224
                 URL: https://issues.apache.org/activemq/browse/AMQCPP-224
             Project: ActiveMQ C++ Client
          Issue Type: Bug
          Components: CMS Impl
    Affects Versions: 2.2.4, 2.2.3, 2.2.2
         Environment: OSX / Linux Centos
            Reporter: Utopia
            Assignee: Timothy Bish


The configure script accepts the following
checking for APR-util... yes
checking APR version... 1.3.3
checking APU version... 1.2.7

Which eventually results in a compile error.
---
/usr/local//include/apr-1/apr_file_info.h:192: error: 'apr_ino_t' does not name a type
/usr/local//include/apr-1/apr_want.h:92: error: redefinition of 'struct iovec'
/usr/include/sys/socket.h:128: error: previous definition of 'struct iovec'
make[2]: *** [activemq/core/libactivemq_cpp_la-ActiveMQConnectionFactory.lo] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
--

When fixing the version of apr-util version it will compile without any problems.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message